package com.alibaba.druid.sql.dialect.db2.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.statement.SQLDropStatement;
import com.alibaba.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class DB2DropSessionStatement extends SQLStatementImpl implements DB2SQLStatement, SQLDropStatement {
   private SQLExpr sessionId;

   public DB2DropSessionStatement() {
      this.dbType = DbType.db2;
   }

   public SQLExpr getSessionId() {
      return this.sessionId;
   }

   public void setSessionId(SQLExpr sessionId) {
      this.sessionId = sessionId;
   }

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      visitor.visit(this);
   }
}
